namespace dk {
	///------------------------------------------------------------------------
	///------------------------------------------------------------------------
	template <typename T, size_t D, typename S>
	Tyler<T, D, S>::Tyler (const coords& parSize, streamer_type&& parStream) :
		m_size(parSize),
		m_tiles(parSize.x() * parSize.y()),
		m_streamer(std::move(parStream))
	{
		assert(m_size.x() > 0 and m_size.y() > 0);
	}
} //namespace dk
